Summary: A set of GNU text file modifying utilities.
Name: textutils
Version: 2.0a
Release: 2a
Copyright: GPL
Group: Applications/Text
Source: ftp://prep.ai.mit.edu/pub/gnu/textutils-%{version}.tar.gz
Patch0: textutils-2.0a-binarysort.patch.bz2
Patch1: textutils-2.0a-binarysort2.patch.bz2
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
A set of GNU utilities for modifying the contents of files, including
programs for splitting, joining, comparing and modifying files.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
unset LINGUAS || :
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%ifos linux
make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%else
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    localedir=${RPM_BUILD_ROOT}%{_prefix}/share/locale \
        install
%endif

( cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/* || :
%ifos linux
  mkdir -p ./bin
  for f in cat sort; do
    mv .%{_prefix}/bin/$f ./bin/$f
  done
# XXX tsort comes from util-linux for now
%endif
  gzip -9nf .%{_prefix}/info/textutils*
)

echo "%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO" > rpm-list
%ifos linux
ls -d $RPM_BUILD_ROOT/bin/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
%endif
ls -d $RPM_BUILD_ROOT%{_prefix}/bin/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT%{_prefix}/man/*/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT%{_prefix}/info/textutils* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
ls -d $RPM_BUILD_ROOT%{_prefix}/share/locale/*/*/* | \
        sed -e "s;$RPM_BUILD_ROOT;;" >> rpm-list
cat rpm-list | grep -v tsort > rpm-list.new
mv -f rpm-list.new rpm-list

%post
/sbin/install-info %{_prefix}/info/textutils.info.gz %{_prefix}/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_prefix}/info/textutils.info.gz %{_prefix}/info
/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-list

%changelog
* Fri Mar 3 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.2.0a

* Sat Aug 14 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.2.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild

* Fri Mar 06 1998 Michael K. Johnson <johnsonm@redhat.com>
- made tmpfile creation safe (even for root) in sort and tac.

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Rebuilt against glibc

